Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.widgets
Class TableItem

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Item
              org.eclipse.swt.widgets.TableItem

public class TableItem
extends Item

Instances of this class represent a selectable user interface object that represents an item in a table.

Styles:
  (none)
Events:
  (none)

IMPORTANT: This class is not intended to be subclassed.

Constructor Summary
`TableItem(Table parent, int style)` Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance.
`TableItem(Table parent, int style, int index)` Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

Method Summary
`protected void` | `checkSubclass()` Checks that this class can be subclassed.
`Color` | `getBackground()` Returns the receiver's background color.
`Color` | `getBackground(int index)` Returns the background color at the given column index in the receiver.
`Rectangle` | `getBounds(int index)` Returns a rectangle describing the receiver's size and location relative to its parent at a column in the table.
`boolean` | `getChecked()` Returns `true` if the receiver is checked, and false otherwise.
`Font` | `getFont()` Returns the font that the receiver will use to paint textual information for this item.
`Font` | `getFont(int index)` Returns the font that the receiver will use to paint textual information for the specified cell in this item.
`Color` | `getForeground()` Returns the foreground color that the receiver will use to draw.
`Color` | `getForeground(int index)` Returns the foreground color at the given column index in the receiver.
`boolean` | `getGrayed()` Returns `true` if the receiver is grayed, and false otherwise.
`Image` | `getImage(int index)` Returns the image stored at the given column index in the receiver, or null if the image has not been set or if the column does not exist.
`Rectangle` | `getImageBounds(int index)` Returns a rectangle describing the size and location relative to its parent of an image at a column in the table.
`int` | `getImageIndent()` Gets the image indent.
`Table` | `getParent()` Returns the receiver's parent, which must be a `Table`.
`String` | `getText(int index)` Returns the text stored at the given column index in the receiver, or empty string if the text has not been set.
`void` | `setBackground(Color color)` Sets the receiver's background color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void` | `setBackground(int index, Color color)` Sets the background color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void` | `setChecked(boolean checked)` Sets the checked state of the checkbox for this item.
`void` | `setFont(Font font)` Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void` | `setFont(int index, Font font)` Sets the font that the receiver will use to paint textual information for the specified cell in this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void` | `setForeground(Color color)` Sets the receiver's foreground color to the color specified by the argument, or to the default system color for the item if the argument is null.
`void` | `setForeground(int index, Color color)` Sets the foreground color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.
`void` | `setGrayed(boolean grayed)` Sets the grayed state of the checkbox for this item.
`void` | `setImage(Image image)` Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void` | `setImage(Image[] images)` Sets the image for multiple columns in the Table.
`void` | `setImage(int index, Image image)` Sets the receiver's image at a column.
`void` | `setImageIndent(int indent)` Sets the indent of the first column's image, expressed in terms of the image's width.
`void` | `setText(int index, String string)` Sets the receiver's text at a column
`void` | `setText(String string)` Sets the receiver's text.
`void` | `setText(String[] strings)` Sets the text for multiple columns in the table.

Methods inherited from class org.eclipse.swt.widgets.Item
`getImage, getText`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableItem

    public TableItem(Table parent,
                     int style)

  Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance. The item is added to the end of the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT`, `Widget.checkSubclass()`, `Widget.getStyle()`

### TableItem

    public TableItem(Table parent,
                     int style,
                     int index)

  Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
  `index` - the index to store the receiver in its parent
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT`, `Widget.checkSubclass()`, `Widget.getStyle()`

Method Detail

### checkSubclass

    protected void checkSubclass()

  Description copied from class: `Widget`
  Checks that this class can be subclassed.

  The SWT class library is intended to be subclassed only at specific, controlled points (most notably, `Composite` and `Canvas` when implementing new widgets). This method enforces this rule unless it is overridden.

  IMPORTANT: By providing an implementation of this method that allows a subclass of a class which does not normally allow subclassing to be created, the implementer agrees to be fully responsible for the fact that any such subclass will likely fail between SWT releases and will be strongly platform specific. No support is provided for user-written classes which are implemented in this fashion.

  The ability to subclass outside of the allowed SWT classes is intended purely to enable those not on the SWT development team to implement patches in order to get around specific limitations in advance of when those limitations can be addressed by the team. Subclassing should not be attempted without an intimate and detailed understanding of the hierarchy.

  Overrides:
    `checkSubclass` in class `Item`

### getBackground

    public Color getBackground()

  Returns the receiver's background color.

  Returns:
    the background color
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.0

### getBackground

    public Color getBackground(int index)

  Returns the background color at the given column index in the receiver.

  Parameters:
    `index` - the column index
  Returns:
    the background color
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### getBounds

    public Rectangle getBounds(int index)

  Returns a rectangle describing the receiver's size and location relative to its parent at a column in the table.

  Parameters:
    `index` - the index that specifies the column
  Returns:
    the receiver's bounding column rectangle
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getChecked

    public boolean getChecked()

  Returns `true` if the receiver is checked, and false otherwise. When the parent does not have the `CHECK` style, return false.

  Returns:
    the checked state of the checkbox
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getFont

    public Font getFont()

  Returns the font that the receiver will use to paint textual information for this item.

  Returns:
    the receiver's font
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### getFont

    public Font getFont(int index)

  Returns the font that the receiver will use to paint textual information for the specified cell in this item.

  Parameters:
    `index` - the column index
  Returns:
    the receiver's font
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### getForeground

    public Color getForeground()

  Returns the foreground color that the receiver will use to draw.

  Returns:
    the receiver's foreground color
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.0

### getForeground

    public Color getForeground(int index)

  Returns the foreground color at the given column index in the receiver.

  Parameters:
    `index` - the column index
  Returns:
    the foreground color
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### getGrayed

    public boolean getGrayed()

  Returns `true` if the receiver is grayed, and false otherwise. When the parent does not have the `CHECK` style, return false.

  Returns:
    the grayed state of the checkbox
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getImage

    public Image getImage(int index)

  Returns the image stored at the given column index in the receiver, or null if the image has not been set or if the column does not exist.

  Parameters:
    `index` - the column index
  Returns:
    the image stored at the given column index in the receiver
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getImageBounds

    public Rectangle getImageBounds(int index)

  Returns a rectangle describing the size and location relative to its parent of an image at a column in the table.

  Parameters:
    `index` - the index that specifies the column
  Returns:
    the receiver's bounding image rectangle
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getImageIndent

    public int getImageIndent()

  Gets the image indent.

  Returns:
    the indent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getParent

    public Table getParent()

  Returns the receiver's parent, which must be a `Table`.

  Returns:
    the receiver's parent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getText

    public String getText(int index)

  Returns the text stored at the given column index in the receiver, or empty string if the text has not been set.

  Parameters:
    `index` - the column index
  Returns:
    the text stored at the given column index in the receiver
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    `SWTError` -
    - ERROR_CANNOT_GET_TEXT - if the column at index does not exist

### setBackground

    public void setBackground(Color color)

  Sets the receiver's background color to the color specified by the argument, or to the default system color for the item if the argument is null.

  Parameters:
    `color` - the new color (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.0

### setBackground

    public void setBackground(int index,
                              Color color)

  Sets the background color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.

  Parameters:
    `index` - the column index
    `color` - the new color (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### setChecked

    public void setChecked(boolean checked)

  Sets the checked state of the checkbox for this item. This state change only applies if the Table was created with the SWT.CHECK style.

  Parameters:
    `checked` - the new checked state of the checkbox
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setFont

    public void setFont(Font font)

  Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.

  Parameters:
    `font` - the new font (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### setFont

    public void setFont(int index,
                        Font font)

  Sets the font that the receiver will use to paint textual information for the specified cell in this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.

  Parameters:
    `index` - the column index
    `font` - the new font (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### setForeground

    public void setForeground(Color color)

  Sets the receiver's foreground color to the color specified by the argument, or to the default system color for the item if the argument is null.

  Parameters:
    `color` - the new color (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    2.0

### setForeground

    public void setForeground(int index,
                              Color color)

  Sets the foreground color at the given column index in the receiver to the color specified by the argument, or to the default system color for the item if the argument is null.

  Parameters:
    `index` - the column index
    `color` - the new color (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### setGrayed

    public void setGrayed(boolean grayed)

  Sets the grayed state of the checkbox for this item. This state change only applies if the Table was created with the SWT.CHECK style.

  Parameters:
    `grayed` - the new grayed state of the checkbox;
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setImage

    public void setImage(Image[] images)

  Sets the image for multiple columns in the Table.

  Parameters:
    `images` - the array of new images
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the array of images is null
    - ERROR_INVALID_ARGUMENT - if one of the images has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setImage

    public void setImage(int index,
                         Image image)

  Sets the receiver's image at a column.

  Parameters:
    `index` - the column index
    `image` - the new image
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the image has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setImage

    public void setImage(Image image)

  Description copied from class: `Item`
  Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

  Overrides:
    `setImage` in class `Item`
  Parameters:
    `image` - the image to display on the receiver (may be null)

### setImageIndent

    public void setImageIndent(int indent)

  Sets the indent of the first column's image, expressed in terms of the image's width.

  Parameters:
    `indent` - the new indent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(String[] strings)

  Sets the text for multiple columns in the table.

  Parameters:
    `strings` - the array of new strings
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the text is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(int index,
                        String string)

  Sets the receiver's text at a column

  Parameters:
    `index` - the column index
    `string` - the new text
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the text is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setText

    public void setText(String string)

  Description copied from class: `Item`
  Sets the receiver's text.

  Overrides:
    `setText` in class `Item`
  Parameters:
    `string` - the new text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.